EXIF library (libexif) API: libexif/exifbyte.h File Reference

EXIF library (libexif) API 0.6.22

Enumerations | Functions
exifbyte.h File Reference

Defines the ExifByteOrder enum and the associated functions. More...

Go to the source code of this file.

## Enumerations
enum | ExifByteOrder { EXIF_BYTE_ORDER_MOTOROLA , EXIF_BYTE_ORDER_INTEL , EXIF_BYTE_ORDER_MOTOROLA , EXIF_BYTE_ORDER_INTEL }
| Which byte order to use. More...

## Functions
| EXIF_API (const char *) exif_byte_order_get_name(exif_enum(ExifByteOrder) order)
| Return a short, localized, textual name for the given byte order.

## Detailed Description

Defines the ExifByteOrder enum and the associated functions.

## Enumeration Type Documentation

## ◆ ExifByteOrder

enum ExifByteOrder

Which byte order to use.

Enumerator
EXIF_BYTE_ORDER_MOTOROLA | Big-endian byte order.
EXIF_BYTE_ORDER_INTEL | Little-endian byte order.

## Function Documentation

## ◆ EXIF_API()

EXIF_API | ( | const char * |  | ) |

Return a short, localized, textual name for the given byte order.

Parameters

  [in] | order | byte order

Returns
  localized textual name of the byte order, or NULL if unknown

Return a textual description of the given class of error log.

Return a textual name of the given IFD.

Return a textual representation of the given EXIF data type.

Return a short textual description of the given ExifDataOption.

Return a short, localized, textual name for the given byte order.

This is meant for display to the user. The format of each tag is subject to change between locales and in newer versions of libexif. Users who require the tag data in an unambiguous form should access the data members of the ExifEntry structure directly.

Warning
  The character set of the returned string may be in the encoding of the current locale or the native encoding of the camera.

Bug:
  The EXIF_TAG_XP_* tags are currently always returned in UTF-8, regardless of locale, and code points above U+FFFF are not supported.

Parameters

  [in] | entry | EXIF entry
  [out] | val | buffer in which to store value; if entry is valid and maxlen > 0 then this string will be NUL-terminated
  [in] | maxlen | length of the buffer val

Returns
  val pointer

Return a textual description of the given class of error log.

Return a textual name of the given IFD.

Return a textual representation of the given EXIF data type.

Return a short textual description of the given ExifDataOption.

Return a short, localized, textual name for the given byte order.

Returns verbose textual description of the given MakerNote tag.

Returns textual title of the given MakerNote tag.

The name is a short, unique (within this type of MakerNote), non-localized text string containing only US-ASCII alphanumeric characters.

Parameters

  [in] | d | MakerNote data
  [in] | n | index of the entry within the MakerNote data

Returns
  textual name of the tag or NULL on error

The title is a short, localized textual description of the tag.

Parameters

  [in] | d | MakerNote data
  [in] | n | index of the entry within the MakerNote data

Returns
  textual name of the tag or NULL on error

Parameters

  [in] | d | MakerNote data
  [in] | n | index of the entry within the MakerNote data

Returns
  textual description of the tag or NULL on error

Return a textual description of the given class of error log.

Return a textual name of the given IFD.

Return a textual representation of the given EXIF data type.

Return a short textual description of the given ExifDataOption.

Return a short, localized, textual name for the given byte order.

Return a verbose textual description of the given tag when found in the given IFD.

Return a textual title of the given tag when found in the given IFD.

The name is a short, unique, non-localized text string containing only US-ASCII alphanumeric characters.

Parameters

  [in] | tag | EXIF tag
  [in] | ifd | IFD

Returns
  textual name of the tag, or NULL if the tag is unknown

The title is a short, localized description of the tag.

Parameters

  [in] | tag | EXIF tag
  [in] | ifd | IFD

Returns
  textual title of the tag, or NULL if the tag is unknown

The description is a verbose, localized description of the tag.

Parameters

  [in] | tag | EXIF tag
  [in] | ifd | IFD

Returns
  textual description of the tag, or NULL if the tag is unknown

Deprecated:
  Use exif_tag_get_name_in_ifd instead

Deprecated:
  Use exif_tag_get_title_in_ifd instead

Deprecated:
  Use exif_tag_get_description_in_ifd instead

Return a textual description of the given class of error log.

Return a textual name of the given IFD.

Return a textual representation of the given EXIF data type.

Return a short textual description of the given ExifDataOption.

Return a short, localized, textual name for the given byte order.

This is meant for display to the user. The format of each tag is subject to change between locales and in newer versions of libexif. Users who require the tag data in an unambiguous form should access the data members of the ExifEntry structure directly.

Warning
  The character set of the returned string may be in the encoding of the current locale or the native encoding of the camera.

Bug:
  The EXIF_TAG_XP_* tags are currently always returned in UTF-8, regardless of locale, and code points above U+FFFF are not supported.

Parameters

  [in] | entry | EXIF entry
  [out] | val | buffer in which to store value; if entry is valid and maxlen > 0 then this string will be NUL-terminated
  [in] | maxlen | length of the buffer val

Returns
  val pointer

Return a textual description of the given class of error log.

Return a textual name of the given IFD.

Return a textual representation of the given EXIF data type.

Return a short textual description of the given ExifDataOption.

Return a short, localized, textual name for the given byte order.

Return a verbose textual description of the given tag when found in the given IFD.

Return a textual title of the given tag when found in the given IFD.

The name is a short, unique, non-localized text string containing only US-ASCII alphanumeric characters.

Parameters

  [in] | tag | EXIF tag
  [in] | ifd | IFD

Returns
  textual name of the tag, or NULL if the tag is unknown

The title is a short, localized description of the tag.

Parameters

  [in] | tag | EXIF tag
  [in] | ifd | IFD

Returns
  textual title of the tag, or NULL if the tag is unknown

The description is a verbose, localized description of the tag.

Parameters

  [in] | tag | EXIF tag
  [in] | ifd | IFD

Returns
  textual description of the tag, or NULL if the tag is unknown

Deprecated:
  Use exif_tag_get_name_in_ifd instead

Deprecated:
  Use exif_tag_get_title_in_ifd instead

Deprecated:
  Use exif_tag_get_description_in_ifd instead